# -*- coding: utf-8 -*-

import re

#簡易正規表達式
def Simple_Regular(RegularStr,String,index=0):
    STR=re.search(RegularStr,String)
    if STR is None:
        return False
    else:
        return STR.group(index)
    
UI.UpdateLog("※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※")
UI.UpdateLog("※　　　【免空科學研究所　ｔｉｇｅｒｍａｘ．ｄｙｎｄｎｓ．ｏｒｇ】　　　※")
UI.UpdateLog("※　　　～㊣　　　　　　　　　ＺＫＭ　　製作分享　　　　　　　㊣～　　　※")
UI.UpdateLog("※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※")
UI.UpdateLog("【腳本更新】：2013.03.12 panda0305 撰寫腳本",2)
UI.UpdateLog("【上傳空間】：ImXD.net",2)
UI.UpdateLog("【上傳大小】：500 MB",2)
UI.UpdateLog("【砍檔時間】：未知",2)
UI.UpdateLog("【腳本功能】：無帳號上傳",2)
UI.UpdateLog("【腳本備註】：支援各32/64位元Windows系列",1)
UI.UpdateLog("=========================================",2)
HTML=HTTP.GetURL("http://imxd.net")
UI.UpdateLog("正在準備上傳參數")
SIGN=Simple_Regular('"signature" : "([^"]+)',HTML,1)
uphost=Simple_Regular('upload_url: "([^"]+)',HTML,1)
if SIGN!=False and uphost!=False:
    UI.UpdateLog("取得SIGN 參數->"+SIGN)
    UI.UpdateLog("取得uphost 參數->"+uphost)
    UI.UpdateLog("開始上傳....",4)
    HTTP.AddUpParam("Filename",UI.FileName)
    HTTP.AddUpParam("signature",SIGN)
    HTTP.AddUpParam("tos","ok")
    HTTP.AddUpParam("Upload","Submit Query")
    HTTP.AddFileReference("file_1")
    HTML=UI.UpFile(uphost)
    #UI.UpdateLog(HTML)
    DownloadLink=Simple_Regular('<td><a href="([^"]+)',HTML,1)
    if DownloadLink!=False:
        UI.UpdateLog("下載連結->"+DownloadLink,4)
        UI.AddShareLink(DownloadLink)
        UI.ProceSuccess()
    else:
        UI.UpdateLog("無法取得網址",3)
        UI.ProceFalse()
else:
    UI.UpdateLog("發生錯誤!無法取得必要參數值",3)
    UI.ProceFalse()